Skip to main content
`Ctrl`+`K`

# PetscDrawPixelToCoordinate

given a pixel in a `PetscDraw` returns the coordinate

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawPixelToCoordinate(PetscDraw draw, int i, int j, PetscReal *x, PetscReal *y)

Not Collective

## Input Parameters

- draw - the draw where the coordinates are defined

- i - the horizontal pixel location

- j - the vertical pixel location

## Output Parameters

- x - the horizontal coordinate

- y - the vertical coordinate

## See Also

`PetscDraw`

## Level

developer

## Location

src/sys/classes/draw/interface/drect.c

## Implementations

PetscDrawPixelToCoordinate_Image() in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawPixelToCoordinate_Null() in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawPixelToCoordinate_X() in src/sys/classes/draw/impls/x/xops.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages